Subject: Re: HDFlib on NeXT v2.0

From: [email-masked] (Simon Tortike)
Date: Fri, 21 Jun 1991 12:41:00 -0600

Hi Mike:
  Successful compilation and linking != successful implementation.  The
C-base tools appear ok on the NeXT, but I ran into trouble immediately
using my fortran routines which create HDF files, trouble in the
form of bad return numbers from DFSDgetdimstrs, although
not DFSDgetdatastrs.  I have not investigated further, as my programs
exit on these sorts of errors.  Obviously it the NeXT version is not
ready for general use, although the MAKE.NEXT and dfi.h files are
still useful for anyone compiling without the fortran interface, and
are a starting point for anyone doing more on the fortran.

Regards,
  Simon Tortike.

---

From: [email-masked] (Simon Tortike)
Date: Thu, 20 Jun 1991 10:50:32 -0600

Hi Mike:
  Well, I have double checked the problems I had: it was the case-folding
(to lower case) option on the Absoft f77 compiler---DO NOT USE IT!
I have now successfully linked my fortran programs with the HDF library.  
I have made a new makefile, MAKE.NEXT, and modified dfi.h, to reflect the 
required changes, using the MAKE.SUN (680x0 version) as the basis.

Both files are now available by anonymous ftp on
mmpe.mineral.ualberta.ca [129.128.32.10] in the directory ~ftp/pub.
I hope this is useful, and again, if you find any shortcomings in what I did, 
or make any improvements, please let me know.

Regards,

W. Simon Tortike,                   | tel     : 403/492-3338
Dept of Mining, Metallurgical       | fax     : 403/492-7219
      and Petroleum Engineering,    |
University of Alberta,              | CA*net  : [email-masked]
Edmonton, AB, CANADA T6G 2G6.       | NeXTmail: [email-masked]